function tinyMCEstart(){
	
}

$(document).ready(function(){
						   
						   
		var url = 'http://'+window.location.host+'/';
						   
						   
						   
						   
						   
		$('#addDialog').dialog({
					autoOpen: false,
					width: 950,
					
					close: function(event, ui) { $(".ui-overlay").attr("style","display:none;"); },
					modal: true,
					buttons: {
						
						"Anuluj": function() { 
							$(this).dialog("close");
							$(".ui-overlay").attr("style","display:none;");
							
						},
						"Zapisz": function(){
							//$(this).submit();
							$(this).dialog("close");
							$(this).find("form input[type=submit]").click();
							//$('#addDialog').find("form").submit();
						} 
					}
					
				});
				
		
		$('#editDialog').dialog({
					autoOpen: false,
					width: 850,
					close: function(event, ui) { $(".ui-overlay").attr("style","display:none;"); },
					buttons: {
						
						"Anuluj": function() { 
							$(this).dialog("close");
							$(".ui-overlay").attr("style","display:none;");
						},
						"Zapisz": function(){
							//$(this).submit();
							$(this).find("form input[type=submit]").click();
							//$('#editDialog').find("form").submit();
						} 
					}
				});
		
		
		$('#deleteDialog').dialog({
					autoOpen: false,
					width: 730,
					height: 170,
					close: function(event, ui) { $(".ui-overlay").attr("style","display:none;"); },
					buttons: {
					
						"Anuluj": function() { 
							$(this).dialog("close");
							$(".ui-overlay").attr("style","display:none;");
						},
						"Usuń": function(){
							//alert($(this).find("form").attr("action"));
							$(this).find("form input[type=submit]").click();
							
							//$('#deleteDialog').find("form").submit();
						} 
						
						
					}
				});
				
		$('#addModule').dialog({
					autoOpen: false,
					width: 730,
					height: 350,
					
					close: function(event, ui) { $(".ui-overlay").attr("style","display:none;"); },
					
					buttons: {
							"Anuluj": function() { 
							$(this).dialog("close");
							$(".ui-overlay").attr("style","display:none;");
						},
						"Zapisz": function(){
							//$(this).submit();
							$(this).find("form input[type=submit]").click();
							//$("form#addModuleForm").trigger("submit");
						}
					}
					
				});
		
		


$("div#drzewo ul#browser").treeview({
				control: "#treecontrol",
				animated: "fast",
				collapsed: false
					   
					   });

$(".dodaj_nowy_wezel").click(function(){
	//alert($('.rootId').attr('id'));
	
	$(".ui-overlay").attr("style","display:block;");
	$('#addDialog').dialog('open');
	
	//$("span.textarea").html("<textarea id='tinymce' name='text'></textarea>");
	//tinyMCEstart();
	//$("div#addDialog textarea").parent("td").append("<script type='text/javascript'>CKEDITOR.replace( 'textAddDialog',{toolbar : [	['Source'],['Cut','Copy','Paste','PasteText','PasteFromWord','-','Scayt'], ['Styles', 'Format'],'/', ['TextColor','BGColor'], ['Bold', 'Italic', 'Underline', '-','Outdent','Indent','-', 'NumberedList', 'BulletedList', '-', 'Link','-','Image'], ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],['About']], filebrowserUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor', filebrowserImageUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor'});</script>");
	
	//$("#addDialog #nodeId").attr("value",$(el).attr('id'));
	$("#addDialog #nodeId").attr("value",$('.rootId').attr('id'));
	
	return false;
});

$(".dodaj_nowy_podwezel").click(function(){
	//alert($('.rootId').attr('id'));
	
	$(".ui-overlay").attr("style","display:block;");
	$('#addDialog').dialog('open');
	
	//$("span.textarea").html("<textarea id='tinymce' name='text'></textarea>");
	//tinyMCEstart();
	//$("div#addDialog textarea").parent("td").append("<script type='text/javascript'>CKEDITOR.replace( 'textAddDialog',{toolbar : [	['Source'],['Cut','Copy','Paste','PasteText','PasteFromWord','-','Scayt'], ['Styles', 'Format'],'/', ['TextColor','BGColor'], ['Bold', 'Italic', 'Underline', '-','Outdent','Indent','-', 'NumberedList', 'BulletedList', '-', 'Link','-','Image'], ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],['About']], filebrowserUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor', filebrowserImageUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor'});</script>");
	
	//$("#addDialog #nodeId").attr("value",$(el).attr('id'));
	$("#addDialog #nodeId").attr("value",$(this).attr('id'));
	
	return false;
});

$(".dodaj_podstrone_").click(function(){
	$(".ui-overlay").attr("style","display:block;");
	$('#addDialog').dialog('open');
	$("#addDialog #nodeId").attr("value",$(this).attr('id'));
	return false;
});
/*
$("#browser .file, .folder").contextMenu({
					menu: 'myMenu'
				}, function(action, el, pos) {
					
					if(action=='edit') {
						var textarea = '';
							$.getJSON(url + "admin/getNodeData/"+$(el).attr('id'),
							function(data){
								//alert(data.title);
							  //$("#titleEdit").attr("value",data.title);
							  //$("#textEdit").attr("value",data.text);
							  $("div#editDialog input[name=name]").attr("value", data.name);
							  $("div#editDialog input[name=title]").attr("value", data.title);
							  $("div#editDialog input[name=description]").attr("value", data.description);
							  $("div#editDialog input[name=link_val]").attr("value", data.link_val);
							  
							  textarea = data.text;
							  if(data.published == 1) $("div#editDialog input[name=published]").attr("checked", true);
							  if(data.sitemap == 1) $("div#editDialog input[name=sitemap]").attr("checked", true);
							  if(data.link == 1) $("div#editDialog input[name=link]").attr("checked", true);
							  if(data.menu == 1) $("div#editDialog input[name=menu]").attr("checked", true);
							  if(data.mini == 1) $("div#editDialog input[name=mini]").attr("checked", true);
							  if(data.menu2 == 1) $("div#editDialog input[name=menu2]").attr("checked", true);
							  if(data.photo != '') {
								  $("div#editDialog input[name=photo]").attr("checked", true);
								  $("div#editDialog td#tu_plik").append("<img class='showtooltipa' src='"+url+"foto/nodes/thumb_"+data.photo+"' style='width: 30px; height: 30px;' />");
								  //$(".showtooltipa").tinyTips('title');
							  }
							  
							  
							  
							  $(".ui-overlay").attr("style","display:block;");
							  //$("span.textarea").html("<textarea id='tinymce' name='text' class='form-textarea'>"+textarea+"</textarea>");
							  $('#editDialog').dialog('open');
							  //tinyMCEstart();
							  
							  $("div#editDialog textarea").html(textarea);
							  $("div#editDialog textarea").parent("td").append("<script type='text/javascript'>CKEDITOR.replace( 'textEditDialog',{toolbar : [	['Source'],['Cut','Copy','Paste','PasteText','PasteFromWord','-','Scayt'], ['Styles', 'Format'],'/', ['TextColor','BGColor'], ['Bold', 'Italic', 'Underline', '-','Outdent','Indent','-', 'NumberedList', 'BulletedList', '-', 'Link','-','Image'], ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],['About']], filebrowserUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor', filebrowserImageUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor'});</script>");
							  
							  $("#editDialog #nodeIdEdit").attr("value",$(el).attr('id'));
							  
							  
							  if(data.link == 1) {
								  	//$("div#editDialog input#link_val").removeAttr("readonly");
									$("div#editDialog input#link_val").show();

									$("div#editDialog #edit-tr-title").hide();
									$("div#editDialog #edit-tr-description").hide();
									$("div#editDialog #edit-tr-text").hide();
									$("div#editDialog #edit-tr-template_type").hide();
									$("div#editDialog #edit-tr-plik").hide();
									$("div#editDialog #edit-tr-photo").hide();
							  } else {
								  	$("div#editDialog #edit-tr-title").show();
									$("div#editDialog #edit-tr-description").show();
									$("div#editDialog #edit-tr-text").show();
									$("div#editDialog #edit-tr-template_type").show();
									$("div#editDialog #edit-tr-photo").show();
									
									//$("div#editDialog #edit-tr-plik").show();
									if($("div#editDialog input[name=photo]").is(":checked")) $("div#editDialog #edit-tr-plik").show();

									//$("div#editDialog input#link_val").attr("readonly", true);
									$("div#editDialog input#link_val").hide();
							  }
							 
							  
							  
							});
						

					}
					
					if(action=='add') {
						$(".ui-overlay").attr("style","display:block;");
						$('#addDialog').dialog('open');
						//$("span.textarea").html("<textarea id='tinymce' name='text'></textarea>");
						//tinyMCEstart();
						//$("div#addDialog textarea").parent("td").append("<script type='text/javascript'>CKEDITOR.replace( 'textAddDialog',{toolbar : [	['Source'],['Cut','Copy','Paste','PasteText','PasteFromWord','-','Scayt'], ['Styles', 'Format'],'/', ['TextColor','BGColor'], ['Bold', 'Italic', 'Underline', '-','Outdent','Indent','-', 'NumberedList', 'BulletedList', '-', 'Link','-','Image'], ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],['About']], filebrowserUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor', filebrowserImageUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor'});</script>");
						$("#addDialog #nodeId").attr("value",$(el).attr('id'));
					}
					
					if(action=='delete') {
					$(".ui-overlay").attr("style","display:block;");
						$('#deleteDialog').dialog('open');
						$("#deleteDialog #nodeIdDelete").attr("value",$(el).attr('id'));
					
					
					}
					
					if(action=='show') {
						//window.location = url + 'admin/wyswietl/'+$(el).attr('id');
						window.location = $(el).find("a").attr("href");
						//alert();
					}
					
					if(action=='up') {
						window.location = url + 'admin/moveup/'+$(el).attr('id');
					}
					
					if(action=='down') {
						window.location = url + 'admin/movedown/'+$(el).attr('id');
					}
					   
			
				});*/
				
		$("#button_module").click(function(){
			$(".ui-overlay").attr("style","display:block;");
			$('#addModule').dialog('open');
		});

		$("#sortable").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){
				$("#button_update_order").attr("disabled", false);
			},
			update: function(event, ui){	
				
				var order = $("#sortable").sortable('serialize');
				$.post(url + 'admin/setmodulesorder', order);
			}
		});
		$("#sortable").disableSelection();
		
		$("#sortableFiles").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){
				//$("#button_update_order").attr("disabled", false);
			},
			update: function(event, ui){	
				
				var order = $("#sortableFiles").sortable('serialize');
				$.post(url + 'admin/setfilesorder', order);
			}
		});
		$("#sortableFiles").disableSelection();
		
		$("#sortableLangs").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){
				//$("#button_update_order").attr("disabled", false);
			},
			update: function(event, ui){	
				
				var order = $("#sortableLangs").sortable('serialize');
				$.post(url + 'admin/setlangsorder', order);
			}
		});
		$("#sortableLangs").disableSelection();
		
		
		$("#button_update_order").click(function(){
			$(this).attr("disabled", true);
			var order = $("#sortable").sortable('serialize');
			$.post(url + 'admin/setmodulesorder', order);
		});
		
		$("#edytujModulTekst").click(function(){
			$("#submitEdytujModul").show('fast');
			$("#edytujModulTekst").hide('fast');
			var text = $("#texttoedit").html();
			$("#texttoedit").html("<textarea id='text' name='text'>"+text+"</textarea>");
			//$("#texttoedit").append("<script type='text/javascript'>CKEDITOR.replace( 'text',{toolbar : [	['Source'],['Cut','Copy','Paste','PasteText','PasteFromWord','-','Scayt'], ['Styles', 'Format'],'/', ['TextColor','BGColor'], ['Bold', 'Italic', 'Underline', '-','Outdent','Indent','-', 'NumberedList', 'BulletedList', '-', 'Link','-','Image'], ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],['About']], filebrowserUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor', filebrowserImageUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor'});</script>");
			//tinyMCEstart();
			return false;
		});
		/*$("#zamknijEdytujTekst").click(function(){
			$("#edytujModulTekst").show('fast');
			$("#submitEdytujModul").hide('fast');
			return false;
		});*/
		
		$("#sortablePhotos").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				$("#button_update_photo_order").attr("disabled", false);
			},
			update: function(event, ui){	
				
				var order = $("#sortablePhotos").sortable('serialize');
				$.post(url + 'admin/setphotosorder', order);
			}
		});
		$("#sortablePhotos").disableSelection();
		
		$("#sortableBaner").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				
			},
			update: function(event, ui){	
				
				var order = $("#sortableBaner").sortable('serialize');
				$.post(url + 'admin/setbanerphotosorder', order);
			}
		});
		$("#sortableBaner").disableSelection();
		
		$("#sortableSlider").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				
			},
			update: function(event, ui){	
				
				var order = $("#sortableSlider").sortable('serialize');
				$.post(url + 'admin/setsliderphotosorder', order);
			}
		});
		$("#sortableSlider").disableSelection();
		
		$("#sortableBanerGlowny").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				
			},
			update: function(event, ui){	
				
				var order = $("#sortableBanerGlowny").sortable('serialize');
				$.post(url + 'admin/setbanerglownyphotosorder', order);
			}
		});
		$("#sortableBanerGlowny").disableSelection();
		
		$("#sortableSliderGlowny").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				
			},
			update: function(event, ui){	
				
				var order = $("#sortableSliderGlowny").sortable('serialize');
				$.post(url + 'admin/setsliderglownyphotosorder', order);
			}
		});
		$("#sortableSliderGlowny").disableSelection();
		
		$("#pluginy").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				
			},
			update: function(event, ui){	
				
				var order = $("#pluginy").sortable('serialize');
				$.post(url + 'administrator/setpluginsorder', order);
			}
		});
		$("#pluginy").disableSelection();
		
		$("#button_update_photo_order").click(function(){
			$(this).attr("disabled", true);
			var order = $("#sortablePhotos").sortable('serialize');
			$.post(url + 'admin/setphotosorder', order);
		});
		
		$("#sortableVideos").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){	
				//$("#button_update_photo_order").attr("disabled", false);
			},
			update: function(event, ui){	
				
				var order = $("#sortableVideos").sortable('serialize');
				$.post(url + 'admin/setvideosorder', order);
			}
		});
		$("#sortableVideos").disableSelection();
		
		$("#sortableFaqs").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){
				$("#button_update_order").attr("disabled", false);
			},
			update: function(event, ui){	
				
				var order = $("#sortableFaqs").sortable('serialize');
				$.post(url + 'admin/setfaqsorder', order);
			}
		});
		$("#sortableFaqs").disableSelection();
		
		$("#sortableFaqsQA").sortable({
			placeholder: 'ui-state-highlight',
			start: function(event, ui){
				
			},
			update: function(event, ui){	
				
				var order = $("#sortableFaqsQA").sortable('serialize');
				$.post(url + 'admin/setfaqsQAorder', order);
			}
		});
		$("#sortableFaqsQA").disableSelection();
		
	$.blockUI.defaults.message = '<h1>Proszę czekać...</h1>';
	$(document).ajaxStart($.blockUI).ajaxStop($.unblockUI);
	
		$("div#artykulTresc button#edytujArtykul").click(function(){
			$("div#edytujArtykulForm").slideDown('slow');
			$("div#artykulTresc").slideUp('slow');
			$("div#edytujArtykulForm input[name=name]").val($("div#artykulTresc #artykulName").html());
			$("div#edytujArtykulForm input[name=title]").val($("div#artykulTresc #artykulTitle").html());
			$("div#edytujArtykulForm input[name=description]").val($("div#artykulTresc #artykulDescription").html());
			$("div#edytujArtykulForm input[name=link_val]").val($("div#artykulTresc #artykulLink_val").html());
			
			if($("div#artykulTresc span#artykulPublished").html()=="Tak")$("div#edytujArtykulForm input[name=published]").attr("checked", true);
			if($("div#artykulTresc span#artykulSitemap").html()=="Tak") $("div#edytujArtykulForm input[name=sitemap]").attr("checked", true);
			if($("div#artykulTresc span#artykulLink").html()=="Tak") $("div#edytujArtykulForm input[name=link]").attr("checked", true);
			if($("div#artykulTresc span#artykulMenu").html()=="Tak") $("div#edytujArtykulForm input[name=menu]").attr("checked", true);
			if($("div#artykulTresc span#artykulMini").html()=="Tak") $("div#edytujArtykulForm input[name=mini]").attr("checked", true);
			if($("div#artykulTresc span#artykulMenu2").html()=="Tak") $("div#edytujArtykulForm input[name=menu2]").attr("checked", true);
			if($("div#artykulTresc span#artykulIfPhoto").html()=="Tak") {
				$("div#edytujArtykulForm input[name=photo]").attr("checked", true);
				$("div#edytujArtykulForm td#tu_plik").append("<img class='showtooltip' title='asdadasd' src='"+$('div#artykulTresc #artykulPhoto img').attr('src')+"' style='width: 30px; height: 30px;' />");
				var src = $('div#artykulTresc #artykulPhoto img').attr('src');
				
				$(".showtooltip").tinyTips('<center><img src="'+src+'" /></center>');
			}
			
								
			var text = $("div#artykulText").html();
			$("div#edytujArtykulForm span.textarea").html("<textarea id='tinymce' name='text'>"+text+"</textarea>");
			tinyMCEstart();
			
			
			if($("div#artykulTresc span#artykulLink").html()=="Tak"){
				//$("div#edytujArtykulForm input#link_val").removeAttr("readonly");
				$("div#edytujArtykulForm input#link_val").show();

				$("div#edytujArtykulForm #edit-tr-title").hide();
				$("div#edytujArtykulForm #edit-tr-description").hide();
				$("div#edytujArtykulForm #edit-tr-text").hide();
				$("div#edytujArtykulForm #edit-tr-template_type").hide();
				$("div#edytujArtykulForm #edit-tr-plik").hide();
				$("div#edytujArtykulForm #edit-tr-photo").hide();
			} else {
			  	$("div#edytujArtykulForm #edit-tr-title").show();
				$("div#edytujArtykulForm #edit-tr-description").show();
				$("div#edytujArtykulForm #edit-tr-text").show();
				$("div#edytujArtykulForm #edit-tr-template_type").show();
				
				//$("div#edytujArtykulForm #edit-tr-plik").show();
				if($("div#edytujArtykulForm input[name=photo]").is(":checked")) $("div#edytujArtykulForm #edit-tr-plik").show();

				//$("div#edytujArtykulForm input#link_val").attr("readonly", true);
				$("div#edytujArtykulForm input#link_val").hide();
			}
			
			return false;
		});
		$("div#edytujArtykulForm button#zamknijEdytujArtykul").click(function(){
			$("div#artykulTresc").slideDown('slow');
			$("div#edytujArtykulForm").slideUp('slow');
			return false;
		});
		
		
	$("div#addDialog input#checklink").click(function(){
		if($("div#addDialog input#checklink").is(":checked")   ) {
			//$("div#addDialog input#link_val").removeAttr("readonly");
			$("div#addDialog input#link_val").show();
			//$("div#addDialogDisable").hide();
			
			//$("div#addDialog tr").hide();
			$("div#addDialog #add-tr-title").hide();
			$("div#addDialog #add-tr-description").hide();
			$("div#addDialog #add-tr-text").hide();
			$("div#addDialog #add-tr-template_type").hide();
			$("div#addDialog #add-tr-plik").hide();
			$("div#addDialog #add-tr-photo").hide();
			/*
			//$("div#addDialog input[name=title]").attr("readonly", true);
			//$("div#addDialog input[name=description]").attr("readonly", true);
			//$("div#addDialog textarea").attr("readonly", true);
			//$("div#addDialog select").attr("readonly", true);
			//$("div#addDialog input[name=plik]").attr("readonly", true);
			*/
			
		} else {
			$("div#addDialog #add-tr-title").show();
			$("div#addDialog #add-tr-description").show();
			$("div#addDialog #add-tr-text").show();
			$("div#addDialog #add-tr-template_type").show();
			$("div#addDialog #add-tr-photo").show();
			
			//$("div#addDialog #add-tr-plik").show();
			if($("div#addDialog input[name=photo]").is(":checked")) $("div#addDialog #add-tr-plik").show();
			
			//$("div#addDialogDisable").hide();
			//$("div#addDialog input#link_val").attr("readonly", true);
			$("div#addDialog input#link_val").hide();
		}
	});
	
	$("div#editDialog input#checklink").click(function(){
		if($("div#editDialog input#checklink").is(":checked")   ) {
			//$("div#editDialog input#link_val").removeAttr("readonly");
			$("div#editDialog input#link_val").show();

			$("div#editDialog #edit-tr-title").hide();
			$("div#editDialog #edit-tr-description").hide();
			$("div#editDialog #edit-tr-text").hide();
			$("div#editDialog #edit-tr-template_type").hide();
			$("div#editDialog #edit-tr-plik").hide();
			$("div#editDialog #edit-tr-photo").hide();
			
		} else {
			$("div#editDialog #edit-tr-title").show();
			$("div#editDialog #edit-tr-description").show();
			$("div#editDialog #edit-tr-text").show();
			$("div#editDialog #edit-tr-template_type").show();
			$("div#editDialog #edit-tr-photo").show();
			
			//$("div#editDialog #edit-tr-plik").show();
			if($("div#editDialog input[name=photo]").is(":checked")) $("div#editDialog #edit-tr-plik").show();

			//$("div#editDialog input#link_val").attr("readonly", true);
			$("div#editDialog input#link_val").hide();
		}
	});
	
	$("div#edytujArtykulForm input[name=link]").click(function(){
		if($("div#edytujArtykulForm input[name=link]").is(":checked")){
			$("div#edytujArtykulForm input[name=link_val]").show();
			$("div#edytujArtykulForm #edit-tr-title").hide();
			$("div#edytujArtykulForm #edit-tr-description").hide();
			$("div#edytujArtykulForm #edit-tr-text").hide();
			$("div#edytujArtykulForm #edit-tr-template_type").hide();
			$("div#edytujArtykulForm #edit-tr-plik").hide();
			$("div#edytujArtykulForm #edit-tr-photo").hide();
			
			//alert("is checked = tak");
		} else {
			$("div#edytujArtykulForm input[name=link_val]").hide();
			$("div#edytujArtykulForm #edit-tr-title").show();
			$("div#edytujArtykulForm #edit-tr-description").show();
			$("div#edytujArtykulForm #edit-tr-text").show();
			$("div#edytujArtykulForm #edit-tr-template_type").show();
			$("div#edytujArtykulForm #edit-tr-photo").show();
			
			//$("div#edytujArtykulForm #edit-tr-plik").show();
			if($("div#edytujArtykulForm input[name=photo]").is(":checked")) $("div#edytujArtykulForm #edit-tr-plik").show();
			//alert("is checked = nie");
		}
	});
	
	/*$("div#edytujArtykulForm input#checklink").click(function(){
		if(  !  $("div#edytujArtykulForm input#checklink").is(":checked")){
			//$("div#edytujArtykulForm input#link_val").removeAttr("readonly");
			$("div#edytujArtykulForm input#link_val").show();

			$("div#edytujArtykulForm #edit-tr-title").hide();
			$("div#edytujArtykulForm #edit-tr-description").hide();
			$("div#edytujArtykulForm #edit-tr-text").hide();
			$("div#edytujArtykulForm #edit-tr-template_type").hide();
			$("div#edytujArtykulForm #edit-tr-plik").hide();
		} else {
		  	$("div#edytujArtykulForm #edit-tr-title").show();
			$("div#edytujArtykulForm #edit-tr-description").show();
			$("div#edytujArtykulForm #edit-tr-text").show();
			$("div#edytujArtykulForm #edit-tr-template_type").show();
			$("div#edytujArtykulForm #edit-tr-plik").show();

			//$("div#edytujArtykulForm input#link_val").attr("readonly", true);
			$("div#edytujArtykulForm input#link_val").hide();
		}
	});*/
	
	
	$("div#addDialog input[name=photo]").click(function(){
		if($("div#addDialog input[name=photo]").is(":checked")){
			$("div#addDialog #add-tr-plik").show();
		} else {
			$("div#addDialog #add-tr-plik").hide();
		}
	});
	
	$("div#editDialog input[name=photo]").click(function(){
		if($("div#editDialog input[name=photo]").is(":checked")){
			$("div#editDialog #edit-tr-plik").show();
		} else {
			$("div#editDialog #edit-tr-plik").hide();
		}
	});
	
	$("div#edytujArtykulForm input[name=photo]").click(function(){
		if($("div#edytujArtykulForm input[name=photo]").is(":checked")){
			$("div#edytujArtykulForm #edit-tr-plik").show();
		} else {
			$("div#edytujArtykulForm #edit-tr-plik").hide();
		}
	});
	
	$("button#addNews").click(function(){
		$(this).hide();
		$("div#newNews").slideDown();
		return false;
	});
	$("button#addNewsCancel").click(function(){
		$("div#newNews").slideUp();
		$("button#addNews").show();
		return false;
	});
	
	
	
	$("button#newFaqCategory").click(function(){
		$(this).hide();
		$("form#newFaqForm").slideDown();;
	});
	
	$("#newFaqCancel").click(function(){
		$("form#newFaqForm").slideUp();
		$("button#newFaqCategory").show();
		return false;
	});
	
	$("button#newNewsShowForm").click(function(){
		$(this).hide();
		$("form#newNewsForm").slideDown();
	});
	
	$("#newNewsCancel").click(function(){
		$("form#newNewsForm").slideUp();
		$("button#newNewsShowForm").show();
		return false;
	});
	


				 
	            /*var basicCkeditorUI = {
						toolbar :
					        [
								['Source'],['Cut','Copy','Paste','PasteText','PasteFromWord','-','Scayt'],
					            ['Styles','Format','Font','FontSize'],'/',
					            ['TextColor','BGColor'],['Table'],						            
					            ['Bold', 'Italic', 'Underline', '-','Outdent','Indent','-', 'NumberedList', 'BulletedList', '-', 'Link','-','Image'],
					            ['HorizontalRule','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],['About']
					        ],
					     //  filebrowserImageBrowseUrl : 'http://'+window.location.host+'/js/ckfinder/ckfinder.html?type=Images',
					     
					     filebrowserUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor',
					     filebrowserImageUploadUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor'//,
					     //filebrowserBrowseUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor/keterangan/1/en',
					     //filebrowserImageBrowseUrl : 'http://'+window.location.host+'/drainase/upload_saluran_ckeditor/keterangan/1/en'
					
	            };
	            
	 
	            
	            $('.ckeditorContener').ckeditor(basicCkeditorUI);
	            //CKFinder.setupCKEditor( basicCkeditorUI, '../js/ckfinder/' ) ;
	           
				*/
	           
	           

	         
	
	
	
});

